Skip to main content

Get Policy By Id

GET 

/v1/product/:product_id/policy/:policy_id

deprecated

Get a policy by ID, requires policies:config:view permission

Request

Path Parameters

    policy_id uuidrequired

    Policy ID

    product_id uuidrequired

    Product ID

Responses

Successful Response

Schema

    policy_id uuidrequired
    name Name (string)required
    permissions string[]required
    description Description (string)required
    default_policy Default Policy (boolean)required
    client_auth_enable Client Auth Enable (boolean)

    Default value: true

    Enable Client Credential Authentication. This is recommended for services, automated processes, or third-parties.

    user_auth_enable User Auth Enable (boolean)

    Default value: true

    Enable User Authentication (e.g. Steam, Xbox, PSN, Epic, Anon, etc). This is recommended for Game Clients and first-party websites.

    refresh_token_enable Refresh Token Enable (boolean)

    Default value: true

    Enable Refresh tokens for authentications using this policy. If true, the refresh_token_lifetime_days field is used to limit how long the tokens remain valid.

    access_token_lifetime_seconds Access Token Lifetime Seconds (integer)

    Possible values: >= 600

    Default value: 600

    Access token lifetime in seconds

    refresh_token_lifetime_days Refresh Token Lifetime Days (integer)

    Possible values: >= 7

    Default value: 7

    Refresh token lifetime in days. If empty, refresh tokens will not expire.

Loading...